# Level

Package

## Enum Level

- All Implemented Interfaces:
    `java.io.Serializable` , `java.lang.Comparable`

      public enum Level

  Enumeration type for log levels.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final int` | `value` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AV_LOG_TRACE` | Extremely verbose debugging, useful for libav* development.
    `AV_LOG_DEBUG` | Stuff which is only useful for libav* developers.
    `AV_LOG_VERBOSE` | Detailed information.
    `AV_LOG_INFO` | Standard information.
    `AV_LOG_WARNING` | Something somehow does not look correct. This may or may notlead to problems. An example would be the use of '-vstrict -2'.
    `AV_LOG_ERROR` | Something went wrong and cannot losslessly be recovered.However, not all future data is affected.
    `AV_LOG_FATAL` | Something went wrong and recovery is not possible.For example, no header was found for a format which dependson headers or an illegal combination of parameters is used.
    `AV_LOG_PANIC` | Something went really wrong and we will crash now.
    `AV_LOG_QUIET` | Print no output.
    `AV_LOG_STDERR` | This log level is defined by FFmpegKit. It is used to specify logs printed to stderr byFFmpeg. Logs that has this level are not filtered and always redirected.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static Level` | `from(int value)` | Returns the enumeration defined by provided value.
    `static Array<Level>` | `values()` |
    `static Level` | `valueOf(String name)` |
    `int` | `getValue()` | Returns level value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

           static Level from(int value)

      Returns the enumeration defined by provided value.

      Parameters:
        `value` - level value

    - #### values

           static Array<Level> values()

    - #### valueOf

           static Level valueOf(String name)

    - #### getValue

           int getValue()

      Returns level value.